commit:     4b2ec9c3d31a0fc63e58fb53029c2901b0ea68f0
Author:     Alon Bar-Lev <alonbl <AT> gentoo <DOT> org>
AuthorDate: Sun May 26 17:15:09 2019 +0000
Commit:     Alon Bar-Lev <alonbl <AT> gentoo <DOT> org>
CommitDate: Sun May 26 17:16:02 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4b2ec9c3

dev-libs/crypto++: version bump

Closes: https://bugs.gentoo.org/686792
Signed-off-by: Alon Bar-Lev <alonbl <AT> gentoo.org>
Package-Manager: Portage-2.3.66, Repoman-2.3.11

 dev-libs/crypto++/Manifest              |  1 +
 dev-libs/crypto++/crypto++-8.2.0.ebuild | 48 +++++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/dev-libs/crypto++/Manifest b/dev-libs/crypto++/Manifest
index ddba9587a28..cc7d5a7d796 100644
--- a/dev-libs/crypto++/Manifest
+++ b/dev-libs/crypto++/Manifest
@@ -1,2 +1,3 @@
 DIST cryptopp565.zip 4220843 BLAKE2B 
0c42da3564cdd175c2f2c5c4272caf826f21e47d2271c7f54acab86f5f79dcdad8d6cb946bc88f55fde6189bb2d24ad8fb03dda6b3b8c6f105434b55b8b217d0
 SHA512 
f13718d02ca69b0129aaf9e767c9d2e0333aa7538355f9c63d9eaf1ff369062084a18dc01489439ebf37797b3ea81b01beb072057d47ec962bfb824ddc72abc7
 DIST cryptopp700.zip 7296665 BLAKE2B 
1b1a60e240a9d94b4edfea16beef0ec48ec26c61f7f9a3d89d29bd2e77b13a83ce942f81467bb90d3086253560a3c4acd6b89178dcb416ed4328340ad5222dfd
 SHA512 
8fd8d680e5ceaf10b3c32cb1504bda4b32abc9fcaa2c6e61e3b5e67aca805c792579884bc6a749c29a99105304c421d03d7fe7909fc58f750b3155c7c5cec8ec
+DIST cryptopp820.zip 8859815 BLAKE2B 
67aa850b887ae7aa869c9485bb18784492f6eec6cb12bf7c7cf84c776731eabf3c31965b47a60287e4e5a79dd3e9f0928dcfb185a0010a76f7cb96d2c3e8c6ae
 SHA512 
753513a4ec8dd0fff2f551853ce6bd265d82219c28b033565b565b5e567fbee17adb419f4cde58a97e62b7d6533f4099aa4996cd0ba4775c6a2e7ae63a879da5

diff --git a/dev-libs/crypto++/crypto++-8.2.0.ebuild 
b/dev-libs/crypto++/crypto++-8.2.0.ebuild
new file mode 100644
index 00000000000..2ee0f84db4b
--- /dev/null
+++ b/dev-libs/crypto++/crypto++-8.2.0.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic toolchain-funcs
+
+DESCRIPTION="C++ class library of cryptographic schemes"
+HOMEPAGE="https://cryptopp.com";
+SRC_URI="https://www.cryptopp.com/cryptopp${PV//.}.zip";
+
+LICENSE="Boost-1.0"
+SLOT="0/7" # subslot is so version
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86 ~x64-macos"
+IUSE="+asm static-libs"
+
+BDEPEND="app-arch/unzip"
+
+S="${WORKDIR}"
+
+config_uncomment() {
+       sed -i -e "s://\s*\(#define\s*$1\):\1:" config.h || die
+}
+
+pkg_setup() {
+       export CXX="$(tc-getCXX)"
+       export LIBDIR="${EPREFIX}/usr/$(get_libdir)"
+       export PREFIX="${EPREFIX}/usr"
+}
+
+src_prepare() {
+       default
+
+       use asm || config_uncomment CRYPTOPP_DISABLE_ASM
+
+       # ASM isn't Darwin/Mach-O ready, #479554, buildsys doesn't grok CPPFLAGS
+       [[ ${CHOST} == *-darwin* ]] && config_uncomment CRYPTOPP_DISABLE_ASM
+}
+
+src_compile() {
+       emake -f GNUmakefile all shared libcryptopp.pc
+}
+
+src_install() {
+       default
+
+       use static-libs || rm -f "${ED}${EPREFIX}"/usr/$(get_libdir)/*.a
+}

Reply via email to